### Function Macro

# GLib abort

since: 2.50

#### Declaration

    #define g_abort (
      void
    )

#### Description

A wrapper for the POSIX `abort()` function.

On Windows it is a function that makes extra effort (including a call to abort()) to ensure that a debugger-catchable exception is thrown before the program terminates.

See your C library manual for more details about abort().

Available since: 2.50

This function is not directly available to language bindings.